AOZ Studio Beta - Bug #21

The demo program you made for my web Amos2 IDE does not work anymore
01/18/2020 12:00 PM - Anonymous

Status: Closed Start date: 01/18/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.3.2

Affected version: 0.9.2.6

Description

With the default manifest (new program with VsCode).

// Coucou Baptiste

// GENIAL ce que tu as fait!

/7 8) 8) B8)

For X = 0 To 100000
Pen Rnd( 31 )
Locate Rnd( 25 ), Rnd( 24 )
Print "Hello Baptiste!";
Wait Vbl

Next

® Snippet : hitps://www.amos2.fr/ide/Amos2/Ide/Program/402/edit
® Result : https://www.amos2.fr/run/francois/hello-baptiste/

The message is :

Illegal text window parameter at line: 6, column: 5.
Program ended successfully.

And only one or two "Hello" have appeared.

History

#1 - 01/21/2020 04:10 PM - Francois Lionet
- Status changed from New to Resolved

- Target version set to 0.9.3

It does now Baptiste Anonymous! ;)

#2 - 01/21/2020 09:16 PM - Baptiste Pillot
- Status changed from Resolved to Feedback
Well... Sorry, but not working.

e Resultin 0.9.3 : https://www.amos2.fr/run/tickleman/hello-baptiste-copy/
e Source in 0.9.3 : https://www.amos2.fr/ide/Amos2/Ide/Program/409

(I checked the version : https://www.amos2.fr/run/francois/hello-baptiste/run/v1_0_textwindows.js ... 0.9.3, not a bug of my IDE. Reproduced locally
too)

#3 - 01/22/2020 08:46 PM - Baptiste Pillot

Still the same error in version 0.9.3.1.

#4 - 02/01/2020 06:06 AM - Baptiste Pillot
- Status changed from Feedback to Closed
- Affected version changed from 0.9.2.6 to 0.9.3.2
Now working.

#5 - 02/01/2020 06:06 AM - Baptiste Pillot
- Target version changed from 0.9.3 to 0.9.3.2
- Affected version changed from 0.9.3.2 to 0.9.2.6
